import { OnInit, InjectionToken, OnDestroy } from '@angular/core';
import { NotificationBarService } from './notification-bar.service';
import { Notification, NotificationType } from './notification-bar.models';
import { MessagesConfig } from './message-config';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare const MESSAGES_CONFIG: InjectionToken<unknown>;
export declare class NotificationBarComponent implements OnInit, OnDestroy {
    private notificationBarService;
    private config?;
    notifications: Notification[];
    defaults: {
        message: string;
        type: NotificationType;
        autoHide: boolean;
        hideDelay: number;
        isHtml: boolean;
        allowClose: boolean;
        hideOnHover: boolean;
    };
    subscription: Subscription;
    constructor(notificationBarService: NotificationBarService, config?: MessagesConfig);
    ngOnInit(): void;
    addNotification(notification: Notification): void;
    hideNotification(notification: Notification): void;
    ngOnDestroy(): void;
    hideOnHover(notification: Notification): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationBarComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationBarComponent, "notification-bar", never, {}, {}, never, never, false>;
}
